Skip to main content
POST
/
v1
/
table
/
{id}
/
count_rows
Count rows in a table
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/count_rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identity": {
    "api_key": "<string>",
    "auth_token": "<string>"
  },
  "context": {},
  "id": [
    "<string>"
  ],
  "version": 1,
  "branch": "<string>",
  "predicate": "<string>"
}
'
import requests

url = "{scheme}://{host}:{port}/{basePath}/v1/table/{id}/count_rows"

payload = {
    "identity": {
        "api_key": "<string>",
        "auth_token": "<string>"
    },
    "context": {},
    "id": ["<string>"],
    "version": 1,
    "branch": "<string>",
    "predicate": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    identity: {api_key: '<string>', auth_token: '<string>'},
    context: {},
    id: ['<string>'],
    version: 1,
    branch: '<string>',
    predicate: '<string>'
  })
};

fetch('{scheme}://{host}:{port}/{basePath}/v1/table/{id}/count_rows', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


1
{
  "type": "/errors/bad-request",
  "title": "Malformed request",
  "status": 400,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/unauthorized-request",
  "title": "No valid authentication credentials for the operation",
  "status": 401,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/forbidden-request",
  "title": "Not authorized to make this request",
  "status": 403,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/not-found-error",
  "title": "Not found Error",
  "status": 404,
  "detail": "",
  "instance": "/v1/namespaces/{ns}"
}
{
  "type": "/errors/service-unavailable",
  "title": "Slow down",
  "status": 503,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/server-error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "",
  "instance": "/v1/namespaces"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json
identity
object

Identity information of a request.

context
object

Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.

On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.

REST NAMESPACE ONLY Context entries are mapped to and from HTTP headers using the header. prefix:

  • On a request, any entry whose key starts with header. is sent as an HTTP request header with the prefix stripped. For example, the entry {"header.Authorization": "Bearer abc"} is sent as the request header Authorization: Bearer abc.
  • On a response, every HTTP response header is returned as an entry whose key is the header name prefixed with header.. For example, the response header x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
id
string[]
version
integer<int64>

Version of the table to describe. If not specified, server should resolve it to the latest version.

Required range: x >= 0
branch
string

Branch to target. When not specified, the main branch is used.

predicate
string

Optional SQL predicate to filter rows for counting. Field references must use Lance field path syntax: nested fields use dot-separated segments, literal dots require backtick-quoted segments, and backticks inside quoted segments are doubled.

Response

Result of counting rows in a table

Row count serialized transparently as a bare number for the REST namespace. The CountTableRowsResponse object model is used by non-REST interfaces.

Required range: x >= 0